Loading...
Searching...
No Matches
PatchArray Struct Reference

`#include <types.h>`

## Public Member Functions

| PatchArray (Far::PatchDescriptor desc_in, int numPatches_in, int indexBase_in, int primitiveIdBase_in)
| PatchArray (Far::PatchDescriptor regDesc_in, Far::PatchDescriptor irregDesc_in, int numPatches_in, int indexBase_in, int primitiveIdBase_in)
Far::PatchDescriptor const & | GetDescriptor () const
Far::PatchDescriptor const & | GetDescriptorRegular () const
Far::PatchDescriptor const & | GetDescriptorIrregular () const
int | GetPatchType () const
int | GetPatchTypeRegular () const
int | GetPatchTypeIrregular () const
int | GetNumPatches () const
int | GetIndexBase () const
int | GetStride () const
int | GetPrimitiveIdBase () const

## Public Attributes

Far::PatchDescriptor | regDesc
Far::PatchDescriptor | desc
int | numPatches
int | indexBase
int | stride
int | primitiveIdBase

## Detailed Description

Definition at line 66 of file types.h.

## Constructor & Destructor Documentation

## PatchArray() [1/2]

PatchArray | ( | Far::PatchDescriptor | desc_in,
|  | int | numPatches_in,
|  | int | indexBase_in,
|  | int | primitiveIdBase_in )

inline

Definition at line 68 of file types.h.

## PatchArray() [2/2]

PatchArray | ( | Far::PatchDescriptor | regDesc_in,
|  | Far::PatchDescriptor | irregDesc_in,
|  | int | numPatches_in,
|  | int | indexBase_in,
|  | int | primitiveIdBase_in )

inline

Definition at line 75 of file types.h.

## Member Function Documentation

## GetDescriptor()

Far::PatchDescriptor const & GetDescriptor | ( |  | ) | const

inline

Definition at line 83 of file types.h.

## GetDescriptorIrregular()

Far::PatchDescriptor const & GetDescriptorIrregular | ( |  | ) | const

inline

Definition at line 89 of file types.h.

## GetDescriptorRegular()

Far::PatchDescriptor const & GetDescriptorRegular | ( |  | ) | const

inline

Definition at line 86 of file types.h.

## GetIndexBase()

int GetIndexBase | ( |  | ) | const

inline

Definition at line 106 of file types.h.

## GetNumPatches()

int GetNumPatches | ( |  | ) | const

inline

Definition at line 103 of file types.h.

## GetPatchType()

int GetPatchType | ( |  | ) | const

inline

Definition at line 93 of file types.h.

## GetPatchTypeIrregular()

int GetPatchTypeIrregular | ( |  | ) | const

inline

Definition at line 99 of file types.h.

## GetPatchTypeRegular()

int GetPatchTypeRegular | ( |  | ) | const

inline

Definition at line 96 of file types.h.

## GetPrimitiveIdBase()

int GetPrimitiveIdBase | ( |  | ) | const

inline

Definition at line 112 of file types.h.

## GetStride()

int GetStride | ( |  | ) | const

inline

Definition at line 109 of file types.h.

## Member Data Documentation

## desc

Far::PatchDescriptor desc

Definition at line 119 of file types.h.

## indexBase

int indexBase

Definition at line 122 of file types.h.

## numPatches

int numPatches

Definition at line 121 of file types.h.

## primitiveIdBase

int primitiveIdBase

Definition at line 124 of file types.h.

## regDesc

Far::PatchDescriptor regDesc

Definition at line 118 of file types.h.

## stride

int stride

Definition at line 123 of file types.h.

The documentation for this struct was generated from the following file:

- opensubdiv/osd/types.h